import React from 'jsx-dom';

async function populateAccounts() {
    const resp = await browser.runtime.sendMessage({
        action: 'GET_ACCOUNTS',
    });
}

//Add an element to the statement page
document.addEventListener('DOMContentLoaded', async () => {
    const contentDiv = document.querySelector('div[class="table-data content-box fill shadow"]');
    contentDiv?.prepend(
        <div class="content-box fill shadow ui-form">
            <h2>Download Transaction Statements</h2>
            <p>
                Here, you can export statements from one or more of your accounts
                over a specified date range.
            </p>
        </div>
    );

    await populateAccounts();
});

browser.runtime.onMessage.addListener((message, sender) => {
    console.log('message received!', message);
});
