import { Account } from '../landsbankinn/models';

export interface ExporterState {
    apiKey: string;
    authToken: string;
    fingerprintValue: string;
    accounts: Array<Account>;
    ready: boolean;
}

export interface PartialStateUpdate {
    apiKey?: string;
    authToken?: string;
    fingerprintValue?: string;
    accounts?: Array<Account>;
    ready?: boolean;
}

// TODO export it and replace direct references to level with it
interface StateStore {
    readonly current: Promise<ExporterState>;
    update(u: ExporterState | PartialStateUpdate): Promise<ExporterState>;
    clear(): Promise<any>;

}
