import { gql } from 'graphql-request/build/esm';

// Currently not imported due to a bug with Parcel and the bundle-text
// importer, and complications with running the query from the
// imported text.

// Exports
export const fetchAccounts = gql`
query fetchDomesticAccounts($after: String, $pageSize: Int = 20) {
  viewer {
    id
    accounts(first: $pageSize, after: $after, filter: {includedCurrencies: ["ISK"]}) {
      edges {
        cursor
        node {
          id
          idAccount
          name
          accountNumber
          balance
          availableAmount
          currency
          accountProductName
          overdraftLimit
          isVaxtareikningur30
          isNoticeAccount
          hasDebitCards
          canBeRegularSavingsAccount
          isWithdrawalAccount
          isOverdraftAllowed
          showOnFrontpage
          __typename
        }
        __typename
      }
      totalCount
      pageInfo {
        hasNextPage
        currentPage
        __typename
      }
      __typename
    }
    __typename
  }
}
`
